Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037376
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-11-23 14:042018-01-03 12:39
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisionecd83704f4fc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037376: Stock Reservation of partially invoiced and not shipped order line is Closed when closing the sales order and it can be edited

DescriptionStock Reservation of partially invoiced and not shipped order line is Closed when closing the sales order and it can be edited

Closed reservations are usually the ones with Quantity = Reserved Qty = Released Qty and they cannot be edited
Steps To ReproduceAs group admin role:
   Set Enable Stock Reservations to Y
   Log out and log in
   Create a Sales Order and set is Invoice Terms = Immediate
   Add 5 units of a stocked product
   Complete it
   Select the line, click on Manage Reservation and reserve it completely
   Create a Sales Invoice header and select the sales order line in Create Lines From process
   Decrease the quantity to 3
   Complete it
   Close the Sales Order and check the ordered quantity changes from 5 to 3
   Check the Stock reservation is updated to:
      Quantity: 3
      Reserved Qty: 0
      Released: 0
      Status: Closed
   and do not have lines. It cannot be edited from Stock Reservations window
   
   Go to Sales order, select the line and click on Manage Reservations
   Reserve the quantity pending to be shipped (3)

   Check the Stock reservation is updated to:
      Quantity: 3
      Reserved Qty: 3
      Released: 0
      Status: Closed
   and a new line is added. It cannot be edited from Stock Reservations window
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100744)
collazoandy4 (developer)
2017-11-27 17:38

Test Plan
  As F&B International Group Admin Role
    Go to Preference window and create a new record:
      Property: Enable Stock Reservations
      Value: Y
    Log out and log in
    Go to Sales Order window and create a new record:
      Business Partner: Alimentos y Supermercados, S.A
      Invoice Terms: Immediate
      Create a new record in Lines tab:
        Product: Zumo de Piña 0,5L
        Ordered Quantity: 5
      Complete the order
      Select the previous line create and click on Manage Reservation and reserve it completely
    Go to Sales Invoice window and create a new record for Alimentos bp:
      Create Lines from previous order created
      Edit the line quantity to 3
    Complete it
    Close the Sales Order and check the ordered quantity changes from 5 to 3
    Check the Stock reservation is updated to:
      Quantity: 3
      Reserved Qty: 0
      Released: 0
      Status: Closed
    The reservation doesn't have lines. It cannot be edited from Stock Reservations window
    Go to Sales order, select the line and check Manage Reservations is not shown
(0101002)
collazoandy4 (developer)
2017-12-12 17:31

Test Plan II
  Go to Sales Order window and create a new record:
      Business Partner: Alimentos y Supermercados, S.A
      Invoice Terms: Immediate
      Create a new record in Lines tab:
        Product: Zumo de Piña 0,5L
        Ordered Quantity: 10
      Complete the order
      Select the previous line create and click on Manage Reservation and reserve it completely
  Go to Stock reservation window and close the reservation created
  Go to Sales Order and check you can reserve the line
(0101037)
hgbot (developer)
2017-12-14 12:34

Repository: erp/devel/pi
Changeset: ecd83704f4fc4bd152a1df4b69ece9dc57b50407
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Nov 24 17:36:51 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/ecd83704f4fc4bd152a1df4b69ece9dc57b50407 [^]

Fixes issue 37376: Stock Reservation of partially invoiced and not shipped order
line is Closed when closing the sales order and it can be edited

When an order is closed all the reservation's made to lines are closed but you
still can manage the reservation stock from sales order window

Now the Manage Reservation button is shown when the order is not closed

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/common/actionhandler/ManageReservationActionHandler.java
M src/org/openbravo/materialmgmt/ReservationUtils.java
---
(0101038)
dmiguelez (developer)
2017-12-14 12:34

Code Review + Testing Ok
(0101524)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-23 14:04 ngarcia New Issue
2017-11-23 14:04 ngarcia Assigned To => Triage Finance
2017-11-23 14:04 ngarcia Modules => Core
2017-11-23 14:04 ngarcia Triggers an Emergency Pack => No
2017-11-23 14:05 ngarcia Issue Monitored: networkb
2017-11-23 16:24 Practics Issue Monitored: Practics
2017-11-23 18:50 vmromanos Assigned To Triage Finance => collazoandy4
2017-11-24 23:58 collazoandy4 Status new => scheduled
2017-11-27 17:38 collazoandy4 Note Added: 0100744
2017-12-12 17:31 collazoandy4 Note Added: 0101002
2017-12-14 12:34 hgbot Checkin
2017-12-14 12:34 hgbot Note Added: 0101037
2017-12-14 12:34 hgbot Status scheduled => resolved
2017-12-14 12:34 hgbot Resolution open => fixed
2017-12-14 12:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ecd83704f4fc4bd152a1df4b69ece9dc57b50407 [^]
2017-12-14 12:34 dmiguelez Review Assigned To => dmiguelez
2017-12-14 12:34 dmiguelez Note Added: 0101038
2017-12-14 12:34 dmiguelez Status resolved => closed
2017-12-14 12:34 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101524


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker